/**
 * <p>Annotations used to create service provider configuration files.</p>
 * 
 * <p>When code using these annotations is compiled with JDK 6 or above, 
 * service provider configurations will automatically be created.  See 
 * <code>&#064;</code>{@link org.nakedosgi.spi.ServiceProvider} and 
 * <code>&#064;</code>{@link org.nakedosgi.spi.ServiceProviderAnnotation} 
 * for more information on specific usage.</p>
 * 
 * <p>For more information about Java service providers, see the 
 * <a href="http://java.sun.com/javase/6/docs/api/java/util/ServiceLoader.html">
 * java.util.ServiceLoader</a> documentation.
 * 
 * <p>Annotations in this package have their retention value set to 
 * {@code Source} so that this library is not needed at runtime.</p>
 * 
 * @author Evan Cowden
 */
package org.nakedosgi.spi;

